import React from 'react';
import { DropDownSearch_propTypes } from '../../DropDown/props/propTypes';
import { DropDownSearch_defaultProps } from '../../DropDown/props/defaultProps';
import TextBox from '../TextBox/TextBox';
import style from '../../DropDown/DropDownSearch.module.css';
export default class DropDownSearch extends React.Component {
  constructor(props) {
    super(props);
    this.getRef = this.getRef.bind(this);
  }

  componentDidMount() {
    this.input && this.input.focus({
      preventScroll: true
    });
  }

  getRef(ele) {
    let {
      getRef
    } = this.props;
    this.input = ele;
    getRef && getRef(ele);
  }

  render() {
    let {
      name,
      id,
      maxLength,
      onKeyDown,
      onChange,
      value,
      onBlur,
      size,
      textBoxSize,
      placeHolder,
      customClass
    } = this.props;
    let {
      searchClass = '',
      customTextBox = ''
    } = customClass;
    return /*#__PURE__*/React.createElement("div", {
      className: `${style.search} ${style[`${size}Search`]} ${searchClass}`
    }, /*#__PURE__*/React.createElement(TextBox, {
      id: id,
      inputRef: this.getRef,
      maxLength: maxLength,
      name: name,
      onBlur: onBlur,
      onChange: onChange,
      onKeyDown: onKeyDown,
      size: textBoxSize,
      value: value,
      placeHolder: placeHolder,
      customClass: customTextBox
    }));
  }

}
DropDownSearch.defaultProps = DropDownSearch_defaultProps;
DropDownSearch.propTypes = DropDownSearch_propTypes;