import { compileClassNames } from '@zohodesk/utils';
import { letterspacingMapping } from './letterSpacingMap';
export default function cssJSLogic(_ref) {
  let {
    props,
    style
  } = _ref;
  let {
    $ui_isReset,
    $ui_isDotted,
    $ui_size,
    $ui_lineClamp,
    $ui_lineHeight,
    $ui_display,
    $ui_variant,
    $ui_typeFace,
    $ui_textAlign,
    $ui_letterSpacing,
    $ui_transform,
    $ui_decoration,
    $ui_className
  } = props;

  if ($ui_letterSpacing && $ui_letterSpacing.match(/\./g)) {
    $ui_letterSpacing = letterspacingMapping[$ui_letterSpacing];
  }

  let typographyClass = compileClassNames({
    [style.reset]: $ui_isReset,
    [style.dotted]: $ui_isDotted,
    [style[`size${$ui_size}`]]: !!$ui_size,
    [style[`lineclamp_${$ui_lineClamp}`]]: !!$ui_lineClamp,
    [style[`lineheight_${$ui_lineHeight}`]]: !!$ui_lineHeight,
    [style[`display_${$ui_display}`]]: !!$ui_display,
    [style[`font_${$ui_variant}`]]: !!$ui_variant,
    [style[`fontStyles_${$ui_typeFace}`]]: !!$ui_typeFace,
    [style[`textalign_${$ui_textAlign}`]]: !!$ui_textAlign,
    [style[`letterspacing_${$ui_letterSpacing}`]]: !!$ui_letterSpacing,
    [style[`transform_${$ui_transform}`]]: !!$ui_transform,
    [style[`decoration_${$ui_decoration}`]]: !!$ui_decoration,
    [$ui_className]: !!$ui_className
  });
  return {
    typographyClass
  };
}